Skip to content
Browse files

Release 0.3.1

  • Loading branch information...
1 parent 834056b commit 3b2adf9a6bc62561826f3934d9a5e512bd5dab24 @aslakhellesoy aslakhellesoy committed May 4, 2010
Showing with 21 additions and 11 deletions.
  1. +11 −2 History.txt
  2. +1 −1 VERSION
  3. +9 −8 cucumber-rails.gemspec
View
13 History.txt
@@ -1,10 +1,19 @@
== 0.3.1
This release has a lot of bugfixes! The test suite (based on Aruba) verifies that Cucumber-Rails
-now works with various combinations of Rails2/Rails3, RSpec1/RSpec2/Test-Unit/Mini-Uint, Webrat/CapyBara,
-MRI 1.8.6/1.8.7/1.9.1.
+now works with various combinations of:
+
+* Cucumber 0.6.x/0.7.2
+* Rails2/Rails3
+* RSpec1/RSpec2/Test-Unit/Mini-Uint
+* Webrat/CapyBara
+* MRI 1.8.6/1.8.7/1.9.1
+
+This one requires a special mention: The handy (but error prone) rerun functionality has moved to a
+separate rerun profile, so all rerun.txt related issues should now be gone.
== New features
+* New Capybara Step Definitions for Dates. (Rob Holland)
* Steps now recognise "Given I am on the users page" etc. (Solomon White)
* Relegate rerun to its own profile and rake task (Mike Sassak)
* Added new Then /^(?:|I )should see JSON:$/ step definition to Capybara - useful for REST. (Aslak Hellesøy)
View
2 VERSION
@@ -1 +1 @@
-0.3.0
+0.3.1
View
17 cucumber-rails.gemspec
@@ -5,11 +5,11 @@
Gem::Specification.new do |s|
s.name = %q{cucumber-rails}
- s.version = "0.3.0"
+ s.version = "0.3.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Dennis Bl\303\266te", "Aslak Helles\303\270y", "Rob Holland"]
- s.date = %q{2010-04-06}
+ s.date = %q{2010-05-04}
s.description = %q{Cucumber Generators and Runtime for Rails}
s.email = %q{cukes@googlegroups.com}
s.extra_rdoc_files = [
@@ -28,6 +28,7 @@ Gem::Specification.new do |s|
"dev_tasks/rspec.rake",
"features/rails2.feature",
"features/rails3.feature",
+ "features/rerun_profile.feature",
"features/step_definitions/cucumber_rails_steps.rb",
"features/support/env.rb",
"features/support/matchers/files.rb",
@@ -95,15 +96,15 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<cucumber>, [">= 0.6.3"])
- s.add_development_dependency(%q<aruba>, [">= 0.1.5"])
+ s.add_runtime_dependency(%q<cucumber>, [">= 0.7.2"])
+ s.add_development_dependency(%q<aruba>, [">= 0.1.9"])
else
- s.add_dependency(%q<cucumber>, [">= 0.6.3"])
- s.add_dependency(%q<aruba>, [">= 0.1.5"])
+ s.add_dependency(%q<cucumber>, [">= 0.7.2"])
+ s.add_dependency(%q<aruba>, [">= 0.1.9"])
end
else
- s.add_dependency(%q<cucumber>, [">= 0.6.3"])
- s.add_dependency(%q<aruba>, [">= 0.1.5"])
+ s.add_dependency(%q<cucumber>, [">= 0.7.2"])
+ s.add_dependency(%q<aruba>, [">= 0.1.9"])
end
end

0 comments on commit 3b2adf9

Please sign in to comment.
Something went wrong with that request. Please try again.